#
# spec file for package FlightGear (Version 0.7.8)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gpp libgpp mesa mesa-devel mesaglut mesaglut-devel mesasoft plib xf86 xf86glu xf86glu-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libtool libz m4 make man mesa mesa-devel mesaglut mesaglut-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl plib ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xf86glu-devel xshared

Name:         FlightGear
Copyright:    GPL
Group:        Amusements/Games
Autoreqprov:  on
Version:      0.7.8
Release:      25
Provides:     flightgr
Obsoletes:    flightgr
Summary:      FlightGear Flight Simulator
URL:          http://www.flightgear.org/
Source:       %{name}-%{version}.tar.bz2
%define	simgear	SimGear-0.0.16
Source1:      %{simgear}.tar.bz2
Source2:      fgfs-base-%{version}.tar.bz2
Source3:      fgfs-docs-0.7.7.tar.bz2
Source4:      fgfs_base_extras.tar.bz2
Patch:        SimGear.patch
Patch1:	      %{name}-%{version}.dif
BuildRoot:    %{_tmppath}/%{name}-build
NoSource:     2
NoSource:     4

%description
The Flight Gear Flight Simulator project is a free, open-source,
multi-platform, cooperative flight sim development project.

Authors:
--------
    Raoul Alonzo <amil@las.es>
    Michele America <nomimarketing@mail.telepac.pt>
    Michael Basler <pmb@knUUt.de>
    Jon S. Berndt <jsb@hal-pc.org>
    Paul Bleisch <pbleisch@acm.org>
    Jim Brennan <jjb@foothill.net>
    Bernie Bright <bbright@c031.aone.net.au>
    Bernhard H. Buckel <buckel@wmad95.mathematik.uni-wuerzburg.de>
    Gene Buckle <geneb@nwlink.com>
    Didier Chauveau <chauveau@math.univ-mlv.fr>
    Oliver Delise <delise@rp-plus.de>
    Dave Eberly <eberly@magic-software.com>
    Francine Evans <evans@cs.sunysb.edu>
    Oscar Everitt <bigoc@premier.net>
    Jean-loup Gailly and Mark Adler <zlib@quest.jpl.nasa.gov>
    Thomas Gellekum <tg@ihf.rwth-aachen.de>
    Jeff Goeke-Smith <jgoeke@voyager.net>
    Michael I. Gold <gold@puck.asd.sgi.com>
    Charlie Hotchkiss <chotchkiss@namg.us.anritsu.com>
    Bruce Jackson of NASA <e.b.jackson@larc.nasa.gov>
    Richard Kaszeta <bofh@me.umn.edu>
    Tom Knienieder <knienieder@ms.netwing.at>
    Reto Koradi <kor@mol.biol.ethz.ch>
    Bob Kuehne <rpk@sgi.com>
    Christian Mayer <Vader@t-online.de>
    David Megginson <david@megginson.com>
    Eric Mitchell <mitchell@mars.ark.com>
    Anders Morken <amrken@online.no>
    Alan Murta <amurta@cs.man.ac.uk>
    Alexei Novikov <anovikov@heron.itep.ru>
    Curt Olson <curt@flightgear.org>
    Tony Peden <apeden@earthlink.net>
    Robin Peel <robinp@mindspring.com>
    Friedemann Reinhard <mpt218@faupt212.physik.uni-erlangen.de>
    Petter Reinholdtsen <pere@games.no>
    William Riley <riley@technologist.com>
    Paul Schlyter <pausch@saaf.se>
    Chris Schoeneman <crs@millpond.engr.sgi.com>
    Phil Schubert <philings@zedley.com>
    Jonathan R Shewchuk <Jonathan_R_Shewchuk@ux4.sp.cs.cmu.edu>
    Gordan Sikic <gsikic@public.srce.hr>
    Michael Smith <msmith99@flash.net>
    Durk Talsma <pn_talsma@macmail.psy.uva.nl>
    Mark Vallevand <Mark.Vallevand@UNISYS.com>
    Gary R. Van Sickle <tiberius@braemarinc.com>
    Norman Vine <nhv@laserplot.com>
    Roland Voegtli <webmaster@sanw.unibe.ch>
    Carmelo Volpe <carmelo.volpe@csb.ki.se>
    Darrell Walisser <dwaliss1@purdue.edu>
    Robert Allan Zeh <raz@cmg.FCNBD.COM>

SuSE series: fun

%prep
rm -rf %{simgear}
%setup -b 1 -a 3
pushd ../%{simgear}
%patch -p1
popd
%patch1

%build
FLAGS=`echo $RPM_OPT_FLAGS | sed s:-O.:-O1:g`
echo 'Will compile with following flags:' $FLAGS
export CFLAGS="$FLAGS"
export CXXFLAGS="$FLAGS"
CONFIGURE_OPTIONS="--prefix=/usr --mandir=%{_mandir} --infodir=%{_infodir} --sysconfdir=%{_sysconfdir} --without-logging"
#
# SimGear first
#
cd ../%{simgear}
libtoolize
automake -a
aclocal -I .
autoconf
(cd simgear/metakit/unix && autoconf)
%{?suse_update_config:%{suse_update_config -f simgear/metakit/unix/scripts}}
./configure $CONFIGURE_OPTIONS
make
#
# SimGear msut be installed :-(
#
make DESTDIR=$RPM_BUILD_ROOT install
cd -
#
# FlightGear finally
#
libtoolize
automake -a
aclocal -I .
autoconf
%{?suse_update_config:%{suse_update_config -f}}
./configure $CONFIGURE_OPTIONS --with-x --with-simgear=$RPM_BUILD_ROOT/usr
make
mv %{name}/Docs/ .

%install
make DESTDIR=$RPM_BUILD_ROOT install
install -d $RPM_BUILD_ROOT/usr/lib
cd $RPM_BUILD_ROOT/usr/lib
tar xjvf %{S:2}
tar xjvf %{S:4}
chmod -R go-w *

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README Thanks Docs/ docs-mini/*.html docs-mini/*.txt docs-mini/*.jpg
/usr/bin/*
/usr/include/*
/usr/lib/*

%changelog -n FlightGear
* Sat Sep 22 2001 - sndirsch@suse.de
- RPM Group tag set to Amusements/Games, so it can be found easier
* Thu Sep 13 2001 - ro@suse.de
- mark fgfs-base as nosource, is just copied anyway
* Tue Sep 04 2001 - vinil@suse.cz
- upgraded to 0.7.8
- docs enhaced
- C{,XX}FLAGS with -O1 needed to compile with our gcc
* Tue Jun 26 2001 - ro@suse.de
- fix to build with new autoconf
* Mon May 14 2001 - vinil@suse.cz
- "chmod -R go-w *" added into %%install
* Mon Apr 30 2001 - schwab@suse.de
- Add %%suse_update_config.
- Fix missing declarations.
- Fix configuration for ia64.
* Fri Apr 20 2001 - kukuk@suse.de
- Use RPM_OPT_FLAGS for C++, too (compiles now on SPARC).
* Thu Mar 22 2001 - vinil@suse.cz
- rename from flightgr to FlightGear
- upgraded to 0.7.6
* Thu Mar 15 2001 - ro@suse.de
- changed neededforbuild <mesaglu> to <xf86glu>
- changed neededforbuild <mesaglu-devel> to <xf86glu-devel>
* Wed Mar 07 2001 - ro@suse.de
- changed neededforbuild <mesadev> to <mesa-devel>
* Thu May 25 2000 - vinil@suse.cz
- mesadev package added for building
* Thu May 11 2000 - vinil@suse.cz
- package completely rebuild because of heavy construction
  of FlightGear
- buildroot added
* Fri Feb 25 2000 - sndirsch@suse.de
- created package
